/********************************************************************

    project C-Control II Compiler

    virtual.h

********************************************************************/


#ifndef _virtual_h
#define _virtual_h


#include "stl.h"


//-------------
  class Virtual
//-------------
{
  public: 

    typedef std::auto_ptr<Virtual> Pointer;

    typedef std::vector<Pointer> Vector;
    typedef std::vector<Pointer> List;

    virtual ~Virtual() {};
    virtual void dump( std::ostream& os ) {};
};



#endif