/********************************************************************

    project C-Control II Compiler

    identifier.cpp

********************************************************************/

#include "identifier.h"


//--------------------------------------------------------------
  void getFullName ( Identifier* identifier, std::string& name )
//--------------------------------------------------------------
{
  std::ostrstream ss;

  identifier->writePath(ss, '.');
  ss << '\x0';
  name = ss.str();
  ss.freeze(0);
}



//---------------------------
  void Identified::destroy ()
//---------------------------
{ 
  identifier->remove();
//  delete this;
}


//-------------------------------------------------------------------------------
  void Identified::init ( unsigned _lino, Identifier* _identifier, int _classid )
//-------------------------------------------------------------------------------
{ 
  lino = _lino;
  identifier = _identifier; 
  classid = _classid; 
}


//-----------------------------------------
  void Identified::dump( std::ostream& os )
//-----------------------------------------
{
  std::string name;

  getFullName(identifier, name);
  os << name;
}
